.\" Copyright (c) 1983, 1991, 1993
.\"	The Regents of the University of California.  All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\" 3. All advertising materials mentioning features or use of this software
.\"    must display the following acknowledgement:
.\"	This product includes software developed by the University of
.\"	California, Berkeley and its contributors.
.\" 4. Neither the name of the University nor the names of its contributors
.\"    may be used to endorse or promote products derived from this software
.\"    without specific prior written permission.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS ``AS IS'' AND
.\" ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
.\" IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
.\" ARE DISCLAIMED.  IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE
.\" FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
.\" DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
.\" OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
.\" HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
.\" LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
.\" OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
.\" SUCH DAMAGE.
.\"
.\"     @(#)sigblock.2	8.1 (Berkeley) 6/2/93
.\"
.Dd June 2, 1993
.Dt SIGBLOCK 2
.Os BSD 4.2
.Sh NAME
.Nm sigblock
.Nd block signals
.Sh SYNOPSIS
.Fd #include <signal.h>
.Ft int
.Fn sigblock "int mask"
.Ft int
.Fn sigmask signum
.Sh DESCRIPTION
.Bf -symbolic
This interface is made obsolete by:
.Ef
.Xr sigprocmask 2 .
.Pp
.Fn Sigblock
adds the signals specified in
.Fa mask
to the set of signals currently
being blocked from delivery.
Signals are blocked if the
corresponding bit in 
.Fa mask
is a 1; the macro
.Fn sigmask
is provided to construct the mask for a given
.Fa signum .
.Pp
It is not possible to block
.Dv SIGKILL
or
.Dv SIGSTOP ;
this restriction is silently
imposed by the system.
.Sh RETURN VALUES
The previous set of masked signals is returned.
.Sh SEE ALSO
.Xr kill 2 ,
.Xr sigaction 2 ,
.Xr sigprocmask 2 ,
.Xr sigsetmask 2 ,
.Xr sigsetops 3
.Sh HISTORY
The
.Fn sigblock
function call appeared in
.Bx 4.2
and has been deprecated.
